> For AI agents: [llms.txt](https://docs.trustedauth.com/llms.txt) provides a Markdown index of this documentation.

# Get user password authenticator settings by named password ID

`GET /api/web/v1/users/{userid}/settings/password/{namedpasswordid}`

Get password settings information for the specified user. Caller requires the USERPASSWORDS:VIEW permission.

## Parameters

| Name | In | Required | Type | Description |
| --- | --- | --- | --- | --- |
| userid | path | Yes | string | The UUID of the user whose password settings information is to be fetched. |
| namedpasswordid | path | Yes | string | The named password ID whose password settings information is to be fetched. |

## Responses

### 200

Successful

#### application/json

Schema

```json
{
  "type": "object",
  "properties": {
    "adComplexity": {
      "type": "boolean",
      "description": "A boolean flag indication if adComplexity is enabled."
    },
    "includeLowercase": {
      "type": "string",
      "description": "Specifies if an lowercase character is required, allowed or not allowed in the password.",
      "enum": [
        "REQUIRED",
        "ALLOWED",
        "NOT_ALLOWED"
      ]
    },
    "includeNonalphanumeric": {
      "type": "string",
      "description": "Specifies if non-alphanumeric character is required, allowed or not allowed in the password.",
      "enum": [
        "REQUIRED",
        "ALLOWED",
        "NOT_ALLOWED"
      ]
    },
    "includeNumber": {
      "type": "string",
      "description": "Specifies if a numeric character is required, allowed or not allowed in the password.",
      "enum": [
        "REQUIRED",
        "ALLOWED",
        "NOT_ALLOWED"
      ]
    },
    "includeUppercase": {
      "type": "string",
      "description": "Specifies if an uppercase character is required, allowed or not allowed in the password.",
      "enum": [
        "REQUIRED",
        "ALLOWED",
        "NOT_ALLOWED"
      ]
    },
    "lifetimeDays": {
      "type": "integer",
      "description": "The lifetime of the password in days.",
      "format": "int32"
    },
    "maximumLength": {
      "type": "integer",
      "description": "The maximum length of the password.",
      "format": "int32"
    },
    "maximumRepeated": {
      "type": "integer",
      "description": "Maximum number of repeated characters allowed",
      "format": "int32"
    },
    "minimumLength": {
      "type": "integer",
      "description": "The minimum length of the password.",
      "format": "int32"
    },
    "minimumLifetime": {
      "type": "integer",
      "description": "The minimum lifetime of the password restricting how frequently the password can be changed.",
      "format": "int32"
    },
    "minimumStrength": {
      "maximum": 4,
      "minimum": 0,
      "type": "integer",
      "description": "Minimum password strength. Password set/update will be rejected, if strength of the password is less than this value. 0: Disabled, 1: Weak protection from throttled online attacks: very guessable, 3: Good protection from offline attacks: safely unguessable, 4: Strong protection from offline attacks: very unguessable",
      "format": "int32",
      "example": 3
    },
    "namedPasswordEnabled": {
      "type": "boolean",
      "description": "Indicates whether the named password policy is enabled for the user."
    },
    "namedPasswordId": {
      "type": "string",
      "description": "The ID of the named password."
    },
    "numberOfLowercaseRequired": {
      "type": "integer",
      "description": "Number of lower case characters required.",
      "format": "int32"
    },
    "numberOfNonalphanumericRequired": {
      "type": "integer",
      "description": "Required number of non alpha numeric characters required.",
      "format": "int32"
    },
    "numberOfNumericRequired": {
      "type": "integer",
      "description": "Number of numeric characters required.",
      "format": "int32"
    },
    "numberOfUppercaseRequired": {
      "type": "integer",
      "description": "Number of upper case characters required.",
      "format": "int32"
    },
    "passwordHistorySize": {
      "type": "integer",
      "description": "Size of password history for a user.",
      "format": "int32"
    }
  },
  "description": "UserPasswordSettings",
  "title": "UserPasswordSettings"
}
```

### 400

Bad Request

#### application/json

Schema

```json
{
  "type": "object",
  "properties": {
    "errorCode": {
      "type": "string",
      "description": "Error Codes specific to cause of failure.",
      "example": "invalid_user_response"
    },
    "errorMessage": {
      "type": "string",
      "description": "Additional Error Message describing the error.",
      "example": "Application id cannot be null"
    },
    "parameters": {
      "type": "array",
      "description": "Optional additional error information.",
      "items": {
        "type": "object",
        "description": "Optional additional error information."
      }
    }
  },
  "description": "Object containing information about errors reported by services.",
  "title": "ErrorInfo"
}
```

### 401

Access denied

#### application/json

Schema

```json
{
  "type": "object",
  "properties": {
    "errorCode": {
      "type": "string",
      "description": "Error Codes specific to cause of failure.",
      "example": "invalid_user_response"
    },
    "errorMessage": {
      "type": "string",
      "description": "Additional Error Message describing the error.",
      "example": "Application id cannot be null"
    },
    "parameters": {
      "type": "array",
      "description": "Optional additional error information.",
      "items": {
        "type": "object",
        "description": "Optional additional error information."
      }
    }
  },
  "description": "Object containing information about errors reported by services.",
  "title": "ErrorInfo"
}
```

### 403

Forbidden

#### application/json

Schema

```json
{
  "type": "object",
  "properties": {
    "errorCode": {
      "type": "string",
      "description": "Error Codes specific to cause of failure.",
      "example": "invalid_user_response"
    },
    "errorMessage": {
      "type": "string",
      "description": "Additional Error Message describing the error.",
      "example": "Application id cannot be null"
    },
    "parameters": {
      "type": "array",
      "description": "Optional additional error information.",
      "items": {
        "type": "object",
        "description": "Optional additional error information."
      }
    }
  },
  "description": "Object containing information about errors reported by services.",
  "title": "ErrorInfo"
}
```

### 404

Not Found

#### application/json

Schema

```json
{
  "type": "object",
  "properties": {
    "errorCode": {
      "type": "string",
      "description": "Error Codes specific to cause of failure.",
      "example": "invalid_user_response"
    },
    "errorMessage": {
      "type": "string",
      "description": "Additional Error Message describing the error.",
      "example": "Application id cannot be null"
    },
    "parameters": {
      "type": "array",
      "description": "Optional additional error information.",
      "items": {
        "type": "object",
        "description": "Optional additional error information."
      }
    }
  },
  "description": "Object containing information about errors reported by services.",
  "title": "ErrorInfo"
}
```

### 409

Conflict

#### application/json

Schema

```json
{
  "type": "object",
  "properties": {
    "errorCode": {
      "type": "string",
      "description": "Error Codes specific to cause of failure.",
      "example": "invalid_user_response"
    },
    "errorMessage": {
      "type": "string",
      "description": "Additional Error Message describing the error.",
      "example": "Application id cannot be null"
    },
    "parameters": {
      "type": "array",
      "description": "Optional additional error information.",
      "items": {
        "type": "object",
        "description": "Optional additional error information."
      }
    }
  },
  "description": "Object containing information about errors reported by services.",
  "title": "ErrorInfo"
}
```

## Security

Requirements

```json
[
  {
    "AdminAPIAuthentication": [
      "USERPASSWORDS:VIEW"
    ]
  }
]
```
